libnvme(2)

NAME
struct nvme_nvmset_attr - NVM Set Attributes Entry

SYNOPSIS
struct nvme_nvmset_attr {
__le16 nvmsetid;
__le16 endgid;
__u8 rsvd4[4];
__le32 rr4kt;
__le32 ows;
__u8 tnvmsetcap[16];
__u8 unvmsetcap[16];
__u8 rsvd48[80];
};

Members

nvmsetid
    NVM Set Identifier

endgid
    Endurance Group Identifier

rsvd4
    Reserved

rr4kt
    Random 4 KiB Read Typical indicates the typical time to complete a 4 KiB random read in 100 nanosecond units when the NVM Set is in a Predictable Latency Mode Deterministic Window and there is 1 outstanding command per NVM Set.

ows Optimal Write Size

tnvmsetcap
    Total NVM Set Capacity

unvmsetcap
    Unallocated NVM Set Capacity

rsvd48
    Reserved